// An `await` on anything else than a promise behaves much like a `then()`
// returning something other than a promise: `Promise.resolve()`, which means it
// suspends execution all the same and treats the awaited value as a fulfilled
// promise when the next microtasks get processed.

async function wut() {
  const text = await 'and three!'
  console.log(text)
}

console.log('On one,')
wut()
console.log('two,')
