// An `async` function implicitly returns a promise: it is therefore pointless
// to create one explictly...

doubleTake(42).then(console.log)

async function doubleTake(result) {
  return new Promise((resolve) => resolve(result))
  // Shorter version: return Promise.resolve(result)...

  // ...but a mere `return result` would suffice
}
