// In Node.js 10+, `Readable` streams are async iterables, and can therefore be
// consumed using a `for await...of`.

demo()

async function demo() {
  process.stdin.setEncoding('utf-8')
  console.clear()
  console.log('Type stuff and hit Return. Ctrl+C / Ctrl+D to stop.')
  for await (const line of process.stdin) {
    console.log('>', line)
  }
}
